server: 
  port: 8099

spring:
  application:
    name: demo-service
  main:
    allow-bean-definition-overriding: true
  profiles: 
    active: dev
  cloud:
    nacos: #nacos监控
      config:
        server-addr: 10.0.252.1:8848 # nacos 配置中心地址
        namespace: ITC-MS
        group: DNE
        username: nacos
        password: Yudean@2025
        file-extension: yml # 默认配置 ${spring.application.name}-${spring.profiles.active}.${file-extension}
        refresh-enabled: true
        extension-configs:
          - data-id: global.yml
            refresh: true
            group: DNE

          - data-id: discovery.yml
            refresh: true
            group: DNE

          - data-id: datasource.yml
            refresh: true
            group: DNE

          - data-id: seata.yml
            refresh: true
            group: DNE

          - data-id: redis.yml
            refresh: true
            group: DNE

          - data-id: magic-api.yml
            refresh: true
            group: DNE

          - data-id: sa-token.yml
            refresh: true
            group: DNE

          - data-id: camunda.yml
            refresh: true
            group: DNE

          - data-id: sentinel.yml
            refresh: true
            group: DNE
